Html5shiv 讓 IE8以下瀏覽器支援Html5語意標籤!

如果有使用html5製作網頁的人應該知道,IE8以下因為不支援html5語意標籤,所以使用對這些標籤定義的CSS完全無效,因為IE8以下不知道那些CSS應該擺到哪去,所以,就有人開發了Html5shiv ,來讓IE8以下的舊版瀏覽器可以支援html5語意標籤!

Html5shiv小檔案

 

使用方法

第1步

中間插入下列原始碼:

<!--[if lt IE 9]>
<script src="dist/html5shiv.js"></script>
<![endif]-->

第2步 重新整理頁面後,IE瀏覽器就可以正常顯示了!

  • 作者:secret
  • 發布
  • 分類:JavaScript